Bug 441651 - Switching to virtual console and back breaks colors on RV630
Switching to virtual console and back breaks colors on RV630
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 06:53 EDT by Frank Arnold
Modified: 2009-07-14 13:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of the result after switching to VC and back (721.89 KB, image/png)
2008-04-09 06:53 EDT, Frank Arnold
no flags Details
/etc/X11/xorg.conf (385 bytes, text/plain)
2008-04-09 06:55 EDT, Frank Arnold
no flags Details
/var/log/Xorg.0.log (67.79 KB, text/plain)
2008-04-09 06:56 EDT, Frank Arnold
no flags Details

  None (edit)
Description Frank Arnold 2008-04-09 06:53:59 EDT
Description of problem:
X starts up normally and everything is working and looking nice. But when I
switch to a virtual console and back to X I get something like shown in the
attached screenshot. To fix this I have to restart X.
Not sure if this is a problem with xorg-x11-drv-vesa, but it's the only driver
that works at least somewhat on my ATI RV630 based card right now.


Version-Release number of selected component (if applicable):
xorg-x11-drv-vesa-1.3.0-14.20080404.fc9
xorg-x11-server-1.4.99.901-18.20080401.fc9


How reproducible:
Everytime.


Steps to Reproduce:
1. Boot into runlevel 5
2. Switch to VC through Alt+Ctrl+F1
3. Switch back to X with Alt+Ctrl+F7
4. See result as shown in the attached screenshot
Comment 1 Frank Arnold 2008-04-09 06:53:59 EDT
Created attachment 301776 [details]
Photo of the result after switching to VC and back
Comment 2 Frank Arnold 2008-04-09 06:55:43 EDT
Created attachment 301777 [details]
/etc/X11/xorg.conf
Comment 3 Frank Arnold 2008-04-09 06:56:18 EDT
Created attachment 301778 [details]
/var/log/Xorg.0.log
Comment 4 Dave Airlie 2008-04-18 00:34:29 EDT
can you try with the latest rawhide radeon driver it should support this card.
Comment 5 Frank Arnold 2008-04-18 04:38:54 EDT
(In reply to comment #4)
> can you try with the latest rawhide radeon driver it should support this card.

Confirmed. xorg-x11-drv-ati-6.8.0-10.fc9.x86_64 does work.
Comment 6 Bug Zapper 2008-05-14 05:10:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 20:05:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:35:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.